function setupBnB
disp('Getting the current course folder');
rootDir = fileparts(mfilename('fullpath'));

answer = questdlg('A folder named "coursefiles" already exists at this location. Do you want to replace it?', ...
    'Unzip coursefiles','Yes', 'No', 'Yes');

switch answer
    case 'Yes'
        disp('Unzipping coursefiles')
        cf = fullfile(rootDir, 'coursefiles.zip');
        str = ['unzip -o "', cf, '" -d "' fullfile(rootDir ,'coursefiles'),'"'];
        status = system(str);
end

disp('Setting up course folder');
cf = fullfile(rootDir, 'coursefiles');
cd(cf);
rootDir = cf;
addpath(rootDir, '-end')
addpath(genpath(fullfile(rootDir, 'audio_files')), '-end')


toolboxFile = fullfile(rootDir, 'BytesAndBeats.mltbx');
toolboxes = matlab.addons.toolbox.installedToolboxes;
if(~isempty(toolboxes) && any(strcmp({toolboxes.Name}, "BytesAndBeats")))
    
    answer = questdlg('A toolbox named BytesAndBeats is already installed. Would you like to uninstall and reinstall?', ...
        'Reinstall Toolbox', ...
        'Yes', 'No', 'No');
    switch answer
        case 'Yes'
            disp('Installing toolbox. This may take several minutes');
            toolboxName = toolboxes((strcmp({toolboxes.Name}, "BytesAndBeats")));
            matlab.addons.toolbox.uninstallToolbox(toolboxName);
            matlab.addons.toolbox.installToolbox(toolboxFile);
            disp('BytesAndBeats toolbox installed');
    end
else
    disp('Installing toolbox. This may take saveral minutes');
    matlab.addons.toolbox.installToolbox(toolboxFile);
    disp('BytesAndBeats toolbox installed');     
end

disp('Course setup complete');

end